Package be.fgov.ehealth.aa.complextype.v1

# Class Mandate

java.lang.Object
be.fgov.ehealth.aa.complextype.v1.Mandate

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class Mandate extends Object implements Serializable
Info on Mandate between two legal entities.

Java class for MandateType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MandateType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Period" type="{urn:be:fgov:ehealth:aa:complextype:v1}PeriodType"/>
             <element name="Principal" type="{urn:be:fgov:ehealth:aa:complextype:v1}PrincipalType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Mandate()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Gets the value of the id property.
  `PeriodType`
  `getPeriod()`
  Gets the value of the period property.
  `PrincipalType`
  `getPrincipal()`
  Gets the value of the principal property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setPeriod(PeriodType value)`
  Sets the value of the period property.
  `void`
  `setPrincipal(PrincipalType value)`
  Sets the value of the principal property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Mandate

    public Mandate()

- ## Method Details

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getPeriod

    public PeriodType getPeriod()
    Gets the value of the period property.
    Returns:
      possible object is `PeriodType`

  - ### setPeriod

    public void setPeriod(PeriodType value)
    Sets the value of the period property.
    Parameters:
      `value` - allowed object is `PeriodType`

  - ### getPrincipal

    public PrincipalType getPrincipal()
    Gets the value of the principal property.
    Returns:
      possible object is `PrincipalType`

  - ### setPrincipal

    public void setPrincipal(PrincipalType value)
    Sets the value of the principal property.
    Parameters:
      `value` - allowed object is `PrincipalType`